<template>
  <section class="AiProcess">
    <ai-dialog-btn :text="label">
      <ai-workflow v-model="process" readonly/>
    </ai-dialog-btn>
  </section>
</template>

<script>
export default {
  name: "AiProcess",
  props: {
    label: {default: "查看进度"},
    bid: {default: "", required: true},
    instance: Function
  },
  data() {
    return {
      detail: {},
      process: {}
    }
  },
  methods: {
    getProcess() {
      const {bid} = this.$props
      bid && this.instance.post("", null, {
        params: {bid}
      }).then(res => {
        if (res?.data) {
          this.detail = res.data
        }
      })
    }
  },
  created() {
    this.getProcess()
  }
}
</script>

<style lang="scss" scoped>
.AiProcess {
}
</style>
